Loading...
Searching...
No Matches
streams_to_vector.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_STREAMS_TO_VECTOR_H
#define INCLUDED_BLOCKS_STREAMS_TO_VECTOR_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_block.h>
namespace gr {
namespace blocks {
/*!
* \brief convert N streams of items to 1 stream of vector length N
* \ingroup stream_operators_blk
*/
class BLOCKS_API streams_to_vector : virtual public sync_block
{
public:
// gr::blocks::streams_to_vector::sptr
typedef std::shared_ptr<streams_to_vector> sptr;
/*!
* Make a stream-to-vector block.
*
* \param itemsize the item size of the stream
* \param nstreams number of streams to combine into a vector (vector size)
*/
static sptr make(size_t itemsize, size_t nstreams);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_STREAMS_TO_VECTOR_H */
gr::blocks::streams_to_vector
convert N streams of items to 1 stream of vector length N
Definition streams_to_vector.h:25
gr::blocks::streams_to_vector::make
static sptr make(size_t itemsize, size_t nstreams)
gr::blocks::streams_to_vector::sptr
std::shared_ptr< streams_to_vector > sptr
Definition streams_to_vector.h:28
gr::sync_block::sync_block
sync_block(void)
Definition sync_block.h:28
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_block.h